Bug 166195 - Review Request: perl-Class-DBI-SQLite : Extension to Class::DBI for sqlite
Review Request: perl-Class-DBI-SQLite : Extension to Class::DBI for sqlite
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166184
Blocks: FE-ACCEPT 166188 166203
  Show dependency treegraph
 
Reported: 2005-08-17 16:40 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 18:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch addressing review issues (1.39 KB, patch)
2005-09-01 12:06 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:40:51 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-SQLite.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-SQLite-0.09-2.src.rpm

Description: 

Extension to Class::DBI for sqlite

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-09-01 12:05:25 EDT
Review:

- rpmlint clean
- package and spec file names OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in ENgish and is legible
- sources match upstream
- builds OK in mock on FC4 (i386)
- buildreqs mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- redundant BR: perl
- license text not included
- BR: perl(DBD::SQLite) needed

Nitpicks:

- there is now a version 0.10 at CPAN
- %{?_smp_mflags} could be used with make in %build
Comment 2 Paul Howarth 2005-09-01 12:06:58 EDT
Created attachment 118352 [details]
Patch addressing review issues

(obviously doesn't include update to 0.10...)
Comment 4 Paul Howarth 2005-09-02 04:53:34 EDT
Explicit "Requires: perl(Class::DBI)" is no longer needed; can be fixed in CVS.

Approved.
Comment 5 Paul Howarth 2005-09-02 05:40:00 EDT
I think that this is probably needed:

Requires: perl(DBD::SQLite)

Note You need to log in before you can comment on or make changes to this bug.